/******************************************************************************
 *
 * Name:	skdrv2nd.h
 * Project:	Wireless LAN SDIO Bus driver
 * Version:	$Revision: 1.1 $
 * Date:	$Date: 2007/01/18 09:26:19 $
 * Purpose:	Contains all defines system specific definitions
 *
 ******************************************************************************/

/******************************************************************************
 *
 *	(C)Copyright 2004 Marvell
 *
 *	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF MARVELL
 *	The copyright notice above does not evidence any
 *	actual or intended publication of such source code.
 *
 *	This Module contains Proprietary Information of Marvell
 *	and should be treated as Confidential.
 *
 *	The information in this file is provided for the exclusive use of
 *	the licensees of Marvell.
 *	Such users have the right to use, modify, and incorporate this code
 *	into products for purposes authorized by the license agreement
 *	provided they include this notice and the associated copyright notice
 *	with any such product.
 *	The information in this file is provided "AS IS" without warranty.
 *
 ******************************************************************************/

/******************************************************************************
 *
 * History:
 *
 *	$Log: skdrv2nd.h,v $
 *	Revision 1.1  2007/01/18 09:26:19  pweber
 *	Put under CVS control
 *	
 *	
 *
 ******************************************************************************/

#ifndef __INC_SKDRV2ND_H
#define __INC_SKDRV2ND_H

#include "../h/skdebug.h"

#ifdef WINNT
#include <initguid.h>
#include "../h/public.h"
#endif

#include "../../sdioapi/h/sdio_if.h"
#include "../h/sdiobus.h"
#include "../h/stdhost.h"
#include "../h/skisr.h"
#include "../h/sdio.h"

/* defines ********************************************************************/

/* function prototypes ********************************************************/
/* Macros ************************************************************/

#endif /* __INC_SKDRV2ND_H */
