/******************************************************************************
 *
 * Name:	skisr.h
 * Project:	Wireless LAN, Bus driver for SDIO interface
 * Version:	$Revision: 1.1 $
 * Date:	$Date: 2007/01/18 09:26:19 $
 * Purpose:	This module handles the interrupts.
 *
 ******************************************************************************/

/******************************************************************************
 *
 *	(C)Copyright 2004 Marvell
 *
 *	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF SYSKONNECT
 *	The copyright notice above does not evidence any
 *	actual or intended publication of such source code.
 *
 *	This Module contains Proprietary Information of SysKonnect
 *	and should be treated as Confidential.
 *
 *	The information in this file is provided for the exclusive use of
 *	the licensees of SysKonnect.
 *	Such users have the right to use, modify, and incorporate this code
 *	into products for purposes authorized by the license agreement
 *	provided they include this notice and the associated copyright notice
 *	with any such product.
 *	The information in this file is provided "AS IS" without warranty.
 *
 ******************************************************************************/

/******************************************************************************
 *
 * History:
 *
 *	$Log: skisr.h,v $
 *	Revision 1.1  2007/01/18 09:26:19  pweber
 *	Put under CVS control
 *	
 *	
 ******************************************************************************/
#ifdef WINNT

VOID
SDIOBus_Dpc(IN PKDPC Dpc,
            IN PVOID DeferredContext,
            IN PVOID SystemArgument1, IN PVOID SystemArgument2);

BOOLEAN SDIOBus_Isr(IN PKINTERRUPT Interrupt, IN PVOID Context);

#else // #ifdef WINNT

void SDIOBus_Dpc(unsigned long arg);

irqreturn_t SDIOBus_Isr(int irq, void *dev_id, struct pt_regs *regs);

#endif // !#ifdef WINNT
